<div class="container">
  <div class="panel panel-primary">
    <div class="panel-heading">
      <h3 class="panel-title">
        <div ng-if="!model.id">Creando Usuario</div>
        <div ng-if="model.id">Editando usuario {{ model.username }}</div>
      </h3>
    </div>
    <div class="panel-body">
      <form class="form-horizontal" name="form" novalidate>
        <div class="form-group" show-errors>
          <label for="username" class="col-sm-2 control-label">Usuario</label>
          <div class="col-sm-10">
            <input type="text" maxlength="20" name="usuario" required="true" ng-disabled="model.id" class="form-control" id="username" placeholder="pjimenez" ng-model="model.username">
          </div>
        </div>
        <div class="form-group" show-errors>
          <label for="name" class="col-sm-2 control-label">Nombre</label>
          <div class="col-sm-10">
            <input type="text" maxlength="20"name="name" class="form-control" id="name" placeholder="Pablo Jimenez" ng-model="model.nombre" required="true">
          </div>
        </div>
        <div class="form-group" show-errors>
          <label for="dependencia" class="col-sm-2 control-label">Dependencia</label>
          <div class="col-sm-10">
            <input type="text" maxlength="20" name="dependencia" class="form-control" id="name" placeholder="Aguas comunes" ng-model="model.dependencia" required="true">
          </div>
        </div>
        <div class="form-group" show-errors>
          <label for="email" class="col-sm-2 control-label">Correo electrónico</label>
          <div class="col-sm-10">
            <input type="email" maxlength="50" name="email" class="form-control" id="name" placeholder="pjimenez@gmail.com" ng-model="model.correo" required="true">
          </div>
        </div>
        <div class="form-group" show-errors ng-if="!model.id">
          <label for="password" class="col-sm-2 control-label">Contraseña</label>
          <div class="col-sm-10">
            <input type="password" minlength="5" maxlength="20" name="password" class="form-control" id="name" placeholder="Super secreto!" ng-model="model.password" required="true">
          </div>
        </div>
        <div class="form-group" show-errors ng-if="!model.id">
          <label for="password2" class="col-sm-2 control-label">Repetir contraseña</label>
          <div class="col-sm-10">
            <input type="password" minlength="5" maxlength="20" name="password2" class="form-control" id="name" placeholder="Super secreto!" ng-model="model.password2" required="true">
          </div>
        </div>
        <div class="form-group">
          <label for="password2" class="col-sm-2 control-label">Roles</label>
          <div class="col-sm-10">
            <div class="btn-group">
              <label class="btn btn-primary" ng-model="rol.ADMINISTRADOR" uib-btn-checkbox>Administrador</label>
              <label class="btn btn-primary" ng-model="rol.CARGADOR" uib-btn-checkbox>Cargador</label>
              <label class="btn btn-primary" ng-model="rol.RESPONDEDOR" uib-btn-checkbox>Respondedor</label>
            </div>
          </div>
        </div>
        <div class="form-group">
          <div class="col-sm-offset-2 col-sm-10">
            <button ng-click="accept()" class="btn btn-primary">
              Aceptar
            </button>
            <a ng-href="#!/usuarios/" class="btn">
              Cancelar
            </a>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
